  - action: apt
    description: Install Citadel dependencies
    update: true
    recommends: true
    packages:
      - git
      - jq
      - python3-qrcode
      - python3-pip
      - python3-yaml
      - python3-semver
      - curl
      - rsync
      - docker.io
      - avahi-daemon

  - action: run
    description: Install Docker
    chroot: true
    command: |
      usermod -a -G docker citadel

  - action: run
    description: Fix avahi config to prevent hostname cycling
    chroot: true
    command: sed -i "s/#allow-interfaces=eth0/allow-interfaces=eth0,wlan0/g;" /etc/avahi/avahi-daemon.conf

  - action: run
    description: Download Citadel
    chroot: true
    command: git clone https://gitlab.com/nirvati/citadel/lts/core.git /home/citadel/citadel

  - action: run
    description: Install Citadel system services
    chroot: true
    script: scripts/install_services.sh

  - action: run
    description: Transfer ownership of Citadel data to Citadel user
    chroot: true
    command: chown -R citadel:citadel /home/citadel/citadel
